<?php



namespace app\common\dao\store\product;

use app\common\dao\BaseDao;
use app\common\model\store\product\ProductAssistUser;

class ProductAssistUserDao extends BaseDao
{
    protected function getModel(): string
    {
        return ProductAssistUser::class;
    }


    public function userCount(int $limit = 3)
    {
        $count = $this->getModel()::getDB()->count("*");
        $list = $this->getModel()::getDB()->limit(3)->order('create_time DESC')->select();
        return compact('count','list');
    }
}

